#!/bin/sh

DATA_DIR="/volume1/PostgreSQL_12"
CONTAINER_IMAGE="postgres:12.6"
CONTAINER_NAME="postgres-12"
CONTAINER_TEST=$(docker ps -a | grep $CONTAINER_NAME | awk '{print $1}')

case "$APKG_PKG_STATUS" in
	install)
		if [ -n "$CONTAINER_TEST" ]; then
			docker rm -f $CONTAINER_NAME
		fi
		docker run -d --network host --shm-size=128MB -p 5432:5432 -e POSTGRES_PASSWORD=admin --restart=unless-stopped --name $CONTAINER_NAME -v $DATA_DIR:/var/lib/postgresql/data $CONTAINER_IMAGE
		sleep 30
		docker stop $CONTAINER_NAME
		sed -i -r 's/(host\s+all\s+all\s+all\s+)trust)/\1md5/' $DATA_DIR/pg_hba.conf
		docker start $CONTAINER_NAME
		#statistics cleared on container start, analyze all databases
		sleep 30
		docker exec -t $CONTAINER_NAME vacuumdb -U postgres -a -Z -v &
		;;
	upgrade)
		if [ -n "$CONTAINER_TEST" ]; then
			docker rm -f $CONTAINER_NAME
		fi
		docker run -d --network host --shm-size=128MB -p 5432:5432 -e POSTGRES_PASSWORD=admin --restart=unless-stopped --name $CONTAINER_NAME -v $DATA_DIR:/var/lib/postgresql/data $CONTAINER_IMAGE
		#statistics cleared on container start, analyze all databases
		sleep 30
		docker exec -t $CONTAINER_NAME vacuumdb -U postgres -a -Z -v &
		;;
	*)
		;;
esac
