#!/bin/sh

DATA_DIR="/volume1/PostgreSQL_12"
PKG_NAME="PostgreSQL v12"
CONTAINER_NAME="postgres-12"

case "$1" in
	start)
		echo "Starting $PKG_NAME"
		chmod -R 700 $DATA_DIR
		docker start $CONTAINER_NAME
		#statistics cleared on container start, analyze all databases
		sleep 30
		docker exec -t $CONTAINER_NAME vacuumdb -U postgres -a -Z -v &
  	;;

	stop)
		echo "Stopping $PKG_NAME"
		docker stop $CONTAINER_NAME
  	;;

	restart)
		echo "Restarting $PKG_NAME"
		docker stop $CONTAINER_NAME
		sleep 5
		chmod -R 700 $DATA_DIR
		docker start $CONTAINER_NAME
		#statistics cleared on container start, analyze all databases
		sleep 30
		docker exec -t $CONTAINER_NAME vacuumdb -U postgres -a -Z -v &
  	;;

  	*)
		echo "Usage: $0 {start|stop|restart}"
esac
